import yaml
from easydict import EasyDict as edict
import json 

def load_config(path):
    with open(path, 'r', encoding='utf8') as f:
        return edict(yaml.safe_load(f))
    
def save_config(config, path):
    x = json.loads(json.dumps(config))
    with open(path, 'w', encoding='utf8') as f:
        yaml.dump(x, f, default_flow_style=False, allow_unicode=True)
